Package org.apache.ignite.internal.management.meta

## Class MetadataUpdateTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<MetaUpdateCommandArg,​MetadataMarshalled,​MetadataMarshalled>
  - - org.apache.ignite.internal.management.meta.MetadataUpdateTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<MetaUpdateCommandArg>,​VisorTaskResult<MetadataMarshalled>>`

    @GridInternal
    public class MetadataUpdateTask
    extends VisorMultiNodeTask<MetaUpdateCommandArg,​MetadataMarshalled,​MetadataMarshalled>

Task for update specified binary type.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`MetadataUpdateTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<MetaUpdateCommandArg,​MetadataMarshalled>` `job​(MetaUpdateCommandArg arg)`
`protected @Nullable MetadataMarshalled` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataUpdateTask

    public MetadataUpdateTask()

### Method Detail

#### job

    protected VisorJob<MetaUpdateCommandArg,​MetadataMarshalled> job​(MetaUpdateCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<MetaUpdateCommandArg,​MetadataMarshalled,​MetadataMarshalled>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable MetadataMarshalled reduce0​(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<MetaUpdateCommandArg,​MetadataMarshalled,​MetadataMarshalled>`
Parameters:
  `results` - Job results.
Returns:
  Task result.